Bug 167048 - OOo is not reading cups ppd files
OOo is not reading cups ppd files
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
bzcl34nup
:
: 167050 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-29 15:47 EDT by Sammy
Modified: 2008-05-06 20:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:14:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error meesages (2.79 KB, text/plain)
2005-08-29 16:08 EDT, Sammy
no flags Details

  None (edit)
Description Sammy 2005-08-29 15:47:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.4; Linux; X11; en_US) KHTML/3.4.2 (like Gecko)

Description of problem:
When I start ooimpress from command line, open a presentation, and choose print   
from the file menu, I get errors/warnings from OOo telling me that the local ppd  
files could not be opened (I have three printers). It also gives this error for all of the  
remote printers picked up by cups, which is ok since I do not have the ppd files for  
those locally.  
  
Copying the ppd files from /etc/cups/ppd directory to  
    /usr/lib/openoffice.org2.0/share/psprint/driver  
AND change their extension to .PS solves the problem for local printers.  
  
So, either OO is not looking in /etc/cups/ppd OR it wants an extension .PS instead of   
what I have, which is .ppd.  
 
FYI 

Version-Release number of selected component (if applicable):
openoffice.org-base-1.9.126-1.2.0.fc5.

How reproducible:
Always

Steps to Reproduce:
1. ooimpress at a terminal 
2. choose print from file menu 
3. look at terminal messages 
   

Additional info:
Comment 1 Sammy 2005-08-29 16:08:59 EDT
Created attachment 118225 [details]
error meesages
Comment 2 Sammy 2005-08-29 16:10:38 EDT
I was wrong in thinking that it was reading them in psprint/driver directory. It
is not.

Comment 3 Sammy 2005-08-29 16:29:08 EDT
OK. This seems to be related to default cups installation.

Somehow, if cupsd.conf only defines the localhost then OO is not seeing these
ppd files. If I modify the cupsd.conf and defined my server name and BrowseAllow
From myself then OO sees the files.
Comment 4 Caolan McNamara 2005-08-30 03:38:24 EDT
if you use gedit and attempt to print do you also get the similiar
"GnomePrintCupsPlugin-Message: The ppd file for the CUPS printer FOO could not
be loaded." ?
Comment 5 Caolan McNamara 2005-08-30 05:06:18 EDT
*** Bug 167050 has been marked as a duplicate of this bug. ***
Comment 6 Sammy 2005-08-31 11:03:34 EDT
I don't have gedit installed. But I did not get the problem on my laptop with
the same packages BUT pure dhcp address. The problem seems to be happening
with cups when using static IP addresses.
Comment 7 Caolan McNamara 2005-08-31 11:07:26 EDT
well what I'm getting at is that I don't think it's a OOo specific problem. 

caolanm->twaugh: me cups idiot. Strike you as a cups/cups configuration problem?
Comment 8 Tim Waugh 2006-06-16 10:33:35 EDT
Well, I don't see this here.  Does anyone else see it still?  If so, cupsd.conf
and error_log for that machine would help.
Comment 10 Bug Zapper 2008-04-03 12:18:20 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 11 Bug Zapper 2008-05-06 20:14:08 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.